<?php

	# 		Near Earth Objects
	# 		Namespace:		nearEarthObjects
	#		Meteotemplate Block
	
	# 		Version 2.0 - Jun 15, 2016
	#		- translation
	

	if(file_exists("settings.php")){
		include("settings.php");
	}
	else{
		echo "Please go to your admin section and go through the settings for this block first.";
		die();
	}
	
	// load theme
	$designTheme = json_decode(file_get_contents("../../css/theme.txt"),true);
	$theme = $designTheme['theme'];
	
	include("../../../config.php");
	include("../../../css/design.php");
	include("../../../scripts/functions.php");
	
	$languageRaw = file_get_contents($baseURL."lang/gb.php");
	$language['gb'] = json_decode($languageRaw,true);
	$languageRaw = file_get_contents($baseURL."lang/".$lang.".php");
	$language[$lang] = json_decode($languageRaw,true);
	
	$todayDate = date("Y-m-d");
	$tomorrowDate = date('Y-m-d',strtotime('tomorrow'));
	
	if(!is_dir("cache")){
		mkdir("cache");
	}
	
	if(file_exists("cache/".$todayDate.".txt")){
		$json = file_get_contents("cache/".$todayDate.".txt");
	}
	else{
		$files = glob('cache/*'); // get all file names
		foreach($files as $file){ // iterate files
		  if(is_file($file))
			unlink($file); // delete file
		}
		$json = file_get_contents("https://api.nasa.gov/neo/rest/v1/feed?start_date=".$todayDate."&end_date=".$tomorrowDate."&api_key=".$keyNASA);
		file_put_contents("cache/".$todayDate.".txt",$json);
	}
	
	$jsonClean = json_decode($json,true);
	
	$todayNEO = $jsonClean['near_earth_objects'][$todayDate];
	$tomorrowNEO = $jsonClean['near_earth_objects'][$tomorrowDate];
	
	

?>
	<style>
		.NEODiv{
			display: none;
			margin-bottom: 15px;
			margin-top: 5px;
		}
		.NEOHeading{
			opacity: 0.7;
			cursor: pointer;
		}
		.NEOHeading:hover{
			opacity: 1;
		}
	</style>
	<div style="width:100%;text-align:center">
		<img src="homepage/blocks/nearEarthObjects/icons/<?php echo $theme?>/neo.png" style="width:60px">
	</div>
	<h2><?php echo lang('near earth objects','c');?></h2>
	<div style="width:95%;margin:0 auto">
		<table style="margin:0 auto">
			<tr>
				<td style="width:50%">
					<h3 class="NEOHeading" onclick="$('#todayNEODiv').slideToggle()"><?php echo lang('today','c')?></h3>
				</td>
				<td style="width:50%">
					<h3 class="NEOHeading" onclick="$('#tomorrowNEODiv').slideToggle()"><?php echo lang('tomorrow','c')?></h3>
				</td>
			</tr>	
		</table>
		<div id="todayNEODiv" class="NEODiv">
			<?php
				foreach($todayNEO as $NEO){
			?>
					<p class="heading_bar heading_barNEO" style="font-size:0.9em;font-weight:bold;font-variant:small-caps">
						<?php echo $NEO['name']?>
					</p>
					<div class="content contentNEO" style="font-size:0.9em;color:#<?php echo $color_schemes[$design2]['font700']?>;background:#<?php echo $color_schemes[$design2]['700']?>">
						<table style="width:98%;margin:0 auto">
							<tr>
								<td style="text-align:left;font-weight:bold">
									<?php echo lang('estimated diameter','c')?>
								</td>
								<td style="text-align:right">
									<?php echo round($NEO['estimated_diameter']['kilometers']['estimated_diameter_min'],3)." ".lang('to','l')." ".round($NEO['estimated_diameter']['kilometers']['estimated_diameter_max'],3)." km";?><br><?php echo round($NEO['estimated_diameter']['miles']['estimated_diameter_min'],3)." ".lang('to','l')." ".round($NEO['estimated_diameter']['miles']['estimated_diameter_max'],3)." mi";?>
								</td>
							</tr>
							<tr>
								<td style="text-align:left;font-weight:bold">
									<?php echo lang('potentially hazardous','c')?>
								</td>
								<td style="text-align:right">
									<?php
										if($NEO['is_potentially_hazardous_asteroid']){
											echo lang('yes','c');
										}
										else{
											echo lang('no','c');
										}
									?>
								</td>
							</tr>
							<tr>
								<td style="text-align:left;font-weight:bold">
									<?php echo lang('close approaches','c')?>
								</td>
								<td style="text-align:right">
									<?php
										$approaches = array();
										foreach($NEO['close_approach_data'] as $approach){
											$approaches[] =  round($approach['relative_velocity']['kilometers_per_hour'])." km/h / ".round($approach['relative_velocity']['miles_per_hour'])." mph<br>".number_format($approach['miss_distance']['kilometers'],0,"."," ")." km / ".number_format($approach['miss_distance']['miles'],0,"."," ")." mi";
										}
										echo implode("<br>",$approaches);
									?>
								</td>
							</tr>
						</table>
					</div>
			<?php
				}
			?>
		</div>
		
		<div id="tomorrowNEODiv" class="NEODiv">
			<?php
				foreach($tomorrowNEO as $NEO){
			?>
					<p class="heading_bar heading_barNEO" style="font-size:0.9em;font-weight:bold;font-variant:small-caps">
						<?php echo $NEO['name']?>
					</p>
					<div class="content contentNEO" style="font-size:0.9em">
						<table style="width:98%;margin:0 auto">
							<tr>
								<td style="text-align:left;font-weight:bold">
									<?php echo lang('estimated diameter','c')?>
								</td>
								<td style="text-align:right">
									<?php echo round($NEO['estimated_diameter']['kilometers']['estimated_diameter_min'],3)." ".lang('to','l')." ".round($NEO['estimated_diameter']['kilometers']['estimated_diameter_max'],3)." km";?><br><?php echo round($NEO['estimated_diameter']['miles']['estimated_diameter_min'],3)." ".lang('to','l')." ".round($NEO['estimated_diameter']['miles']['estimated_diameter_max'],3)." mi";?>
								</td>
							</tr>
							<tr>
								<td style="text-align:left;font-weight:bold">
									<?php echo lang('potentially hazardous','c')?>
								</td>
								<td style="text-align:right">
									<?php
										if($NEO['is_potentially_hazardous_asteroid']){
											echo lang('yes','c');
										}
										else{
											echo lang('no','c');
										}
									?>
								</td>
							</tr>
							<tr>
								<td style="text-align:left;font-weight:bold">
									<?php echo lang('close approaches','c')?>
								</td>
								<td style="text-align:right">
									<?php
										$approaches = array();
										foreach($NEO['close_approach_data'] as $approach){
											$approaches[] =  round($approach['relative_velocity']['kilometers_per_hour'])." km/h / ".round($approach['relative_velocity']['miles_per_hour'])." mph<br>".number_format($approach['miss_distance']['kilometers'],0,"."," ")." km / ".number_format($approach['miss_distance']['miles'],0,"."," ")." mi";
										}
										echo implode("<br>",$approaches);
									?>
								</td>
							</tr>
						</table>
					</div>
			<?php
				}
			?>
		</div>
		<div style="width:98%;margin:0 auto;font-size:0.8em;font-variant:small-caps">
		<?php echo lang('source','c')?>: NASA
	</div>
	</div>
	<script>
		$(document).ready(function() {
			$(".contentNEO").hide();
			$(".heading_barNEO").click(function(){
				$(this).next(".contentNEO").slideToggle(800);
			});
		});
	</script>
	
